Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 236337

Summary: read_barrier fix for alpha
Product: [Fedora] Fedora Reporter: Oliver Falk <oliver>
Component: gccAssignee: Jakub Jelinek <jakub>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: alpha   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-04-13 14:35:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Oliver Falk 2007-04-13 10:03:38 UTC
Index: gcc41.spec
===================================================================
RCS file: /cvs/dist/devel/gcc/gcc41.spec,v
retrieving revision 1.156
diff -r1.156 gcc41.spec
142a143
> Patch32: gcc-4.1.2-read_barrier_alpha.patch
450a452
> %patch32 -p1 -b .read_barrier_alpha

--- gcc-4.1.2/libjava/sysdep/alpha/locks.h.read_barrier_alpha   2007-02-20
22:41:38.000000000 +0100
+++ gcc-4.1.2/libjava/sysdep/alpha/locks.h      2007-04-10 18:20:24.000000000 +0200
@@ -58,4 +58,10 @@
   __asm__ __volatile__("wmb" : : : "memory");
 }
 
+inline static void
+read_barrier()
+{
+ __asm__ __volatile__("mb" : : : "memory");
+}
+
 #endif


This would help AlphaCore. Please note, I already spoke with gcc-people and they
told me that this is already fixed in HEAD.

Comment 1 Jakub Jelinek 2007-04-13 14:35:18 UTC
Committed to SVN redhat/gcc-4_1-branch, will therefore show up
in the next rawhide build.